Pregunta sobre Rank Math SEO - Best SEO Plugin for WordPress de Wordpress:

1.0.3x WP 5.x: ¿conflicto de alojamiento? _.Pluck no es una función

Un usuario preguntó 👇

Tengo un extraño conflicto de múltiples plugins con cualquier versión de Rank Math> 1.0.28 (probablemente debido al soporte mejorado de Gutenberg). En el editor de publicaciones, recibo el siguiente error y no puedo editar las publicaciones debido a la excepción JS:

TypeError Error: _.pluck no es una función

Los casos en los que estoy experimentando el conflicto están ejecutando WP 5.1.4 / PHP 7.1.4, pero creé una nueva instalación de WordPress y pude replicarla. La nueva instalación es una base de WordPress sin cambios de configuración, plugins adicionales (distintos de los que se mencionan a continuación), utilizando el tema Twenty Twenty predeterminado:

WordPress 5.3.2 PHP 7.3.2 Chrome 79 y Firefox 71.0, macOS Mojave 10.14.6 Rank Math 1.0.36.3

Aquí está la combinación de plugins que componen la pregunta:

Clase de matemáticas> ~ 1.0.33

Zonas de carbono 3.1.8 (similar a ACF; también verificado en la versión Composer htmlburger / campos de carbono) Classic Editor 1.5 (también verificado con Disable Gutenberg 2.0 – básicamente, cada vez que Gutenberg está deshabilitado)

Si desactivo ninguno de los 3 plugins anteriores (el que sea), no obtengo el error. Solo sucede cuando he activado los 3. Entiendo que no puede controlar los plugins de otros desarrolladores, pero tengo un triste dilema:

No puedo deshabilitar el editor clásico porque los clientes quieren poder habilitar / deshabilitar selectivamente Gutenberg. No puedo desactivar Carbon Zones porque lo he usado mucho para construir sus sitios. No tengo problemas para usar otra cosa para marcos de dominio personalizados, pero los sitios ya están escritos para usarlos ampliamente.

Eso me deja con solo dos opciones:

Use la versión 1.0.28.1, o salga usando Rank Math

Pensé en preguntar aquí en caso de que pudieras crear una tercera opción, ya que usaría Math Rank en todos los sitios. A Gutenberg parece no gustarle el alojamiento cuando Gutenberg está deshabilitado en WordPress.

Si ayuda, la consola registra el error – Chrome: https://pastebin.com/DDGwtAQ9
Firefox: https://pastebin.com/WveuGrCv

Puedo publicar un archivo del sitio de prueba en algún lugar, pero simplemente instale un nuevo WP 5.3.2 con todos los valores predeterminados, excepto la activación de los plugins anteriores.

Gracias Daniel

Editar: Me pregunto si algo como esto está en orden. https://github.com/WP-API/node-wpapi/issues/193

La dificultad es rastrear dónde se necesitarían los plugins. : /

Este tema fue modificado hace 1 año, 2 meses por. Razón: Minuto – Este tema ha sido modificado Este tema fue modificado por última vez hace 1 año, 2 meses. Motivo: enlace adicional al hilo noConflict ()

(@rankmath)

Hace 1 año, 2 meses

Hola @hendridm

Gracias por informarnos de esto.

En función de su próximo boleto, revisaremos esto después de solucionar ese problema. Quizás esto podría estar relacionado ya que ambos errores provienen de la misma biblioteca.

Pedimos disculpas por cualquier inconveniente que esto pueda ocasionar.

(@rankmath)

Hace 1 año, 1 mes

Hola @hendridm

Actualice a la última versión. Eso debería solucionar el problema.

Háganos saber si no es así.

Gracias.

¿Solucionó tu problema??

0 / 0

Deja una respuesta 0

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *